{
  "layer":"top",
  "position":"top",
  "height": 32,

  "modules-left":["hyprland/workspaces"],
  "hyprland/workspaces": {
      // "persistent-workspaces":{"*":9,},
      "sort-by":"id",
      "format": "{icon} {windows}",
      "format-icons":{
        "active":"",
        "default":"",
      },
      "format-window-separator": " ",
      "window-rewrite-default": "",
      // "window-rewrite": {
      // "title<.*youtube.*>": "", // Windows whose titles contain "youtube"
      // "class<librewolf>": "", // Windows whose classes are "firefox"
      // "class<librewolf> title<.*GitHub.*>": "", // Windows whose class is "firefox" and title contains "github". Note that "class" always comes first.
      // "kitty": "", // Windows that contain "foot" in either class or title. For optimization reasons, it will only match against a title if at least one other window explicitly matches against a title.
      // "code": "󰨞",
      // },
    },

  "modules-center":["hyprland/window"],
  "hyprland/window":{
    "separate-outputs": true,
  },

  "modules-right":["keyboard-state#caps","keyboard-state#num","wireplumber","battery","clock"],
 
  "keyboard-state#caps": {
    "capslock": true,
    "numlock": true,
    "format": "{name} {icon}",
    "format-icons": {
      "locked":"",
      "unlocked": ""
    }
  },
  // "keyboard-state#num": {
  //   "numlock": true,
  //   "format": "{icon}",
  //   "format-icons": {
  //     "locked":"󰎣",
  //     "unlocked": ""
  //   }
  // },
  "battery":{
    "format":"{capacity}% {icon}",
    "format-icons": ["", "", "", "", ""],
  },
  "clock": {
    "format":"{:%H:%M}",
    "format-alt": "{:%Y-%m-%d %H:%M}"
  },
  "idle_inhibitor": {
    "format": "{icon}",
    "format-icons": {
      "activated": "",
      "deactivated": ""
    }
  },
  "wireplumber": {
    "format":"{volume}% {icon}",
    "format-muted": "",
    "scroll-step": 1,
    "on-click":"qpwgraph",
    "format-icons": ["", "", ""],
    "tooltip":true,
    "tooltip-format": "{volume}%"
  }
}

